Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045906
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] POSmajoralways2021-02-16 14:282021-03-01 17:27
ReporterjmelinView Statuspublic 
Assigned Toaferraz 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045906: Order screen - Slowness - No limit and/or filter by default (load all orders)

DescriptionWhen connecting to the POS, there are no limit and/or filter and then load all available orders.

+ for agapes we have a CRM integration with Comarch that make external requests to retrieve customer details.

This causes the POS to consume high CPU and memory usage and stops responding correctly
Steps To Reproduce
- Create several orders (more than 50 or 100 at least)
- Connect to POS and open orders screen
Proposed SolutionAdd a limit parameter to ask refine the search by default or add pager to navigate trough results.
TagsNo tags attached.
Attached Filespng file icon orders_screen_slowness.PNG [^] (117,121 bytes) 2021-02-16 14:28

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126392)
hgbot (developer)
2021-02-28 19:21

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/268 [^]
(0126399)
guilleaer (manager)
2021-03-01 07:53

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/268 [^]
(0126428)
hgbot (developer)
2021-03-01 17:27

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 3e7ec29f9139d7219781fc51e208f14a20e2db49
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 2021-03-01T16:27:25+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/3e7ec29f9139d7219781fc51e208f14a20e2db49 [^]

Fixes ISSUE-45906: Add limit and default order by to TicketListRemoteGrid

---
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/TicketListRemoteGridDataSource.js
---
(0126429)
hgbot (developer)
2021-03-01 17:27

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/268 [^]

- Issue History
Date Modified Username Field Change
2021-02-16 14:28 jmelin New Issue
2021-02-16 14:28 jmelin Assigned To => Retail
2021-02-16 14:28 jmelin File Added: orders_screen_slowness.PNG
2021-02-16 14:28 jmelin Triggers an Emergency Pack => No
2021-02-28 18:38 guilleaer Assigned To Retail => aferraz
2021-02-28 19:21 hgbot Note Added: 0126392
2021-03-01 07:53 guilleaer Status new => scheduled
2021-03-01 07:53 guilleaer Note Added: 0126399
2021-03-01 17:27 hgbot Resolution open => fixed
2021-03-01 17:27 hgbot Status scheduled => closed
2021-03-01 17:27 hgbot Note Added: 0126428
2021-03-01 17:27 hgbot Note Added: 0126429


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker